%define subrel  1
Name:           pngcheck
Version:        2.3.0
Release:        %mkrel 1
Summary:        PNG file format checker
License:        HPND and GPLv2+
Group:          Graphics/Utilities
Url:            http://www.libpng.org/pub/png/apps/%{name}.html
Source:         http://prdownloads.sourceforge.net/png-mng/%{name}-%{version}.tar.gz
Source2:        %{name}.1.gz
Patch0:         fixbuild.diff
Patch1:         pngcheck-2.3.0-cflags.patch
Patch2:         pngcheck-2.3.0-format.patch
Patch3:         pngcheck-2.3.0-mga-suppress_zlib_warning.patch
BuildRequires:  pkgconfig(zlib)

%description
pngcheck verifies the integrity of PNG, JNG and MNG files (by checking the
internal 32-bit CRCs or checksums) and optionally dumps almost all of the
chunk-level information in the image in human-readable form. For example, it
can be used to print the basic stats about an image (dimensions, bit depth,
etc.); to list the color and transparency info in its palette; or to extract
the embedded text annotations. All PNG and JNG chunks are supported, plus
almost all MNG chunks (everything but PAST, DISC, tERm, DROP, DBYK, and
ORDR). This is a command-line program with batch capabilities (e.g.,
``pngcheck *.png'').

%prep
%setup -q
%autopatch -p1

%build
%setup_compile_flags
%make_build -f Makefile.unx

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/
install -m 755 pngsplit %{buildroot}%{_bindir}/
install -m 755 png-fix-IDAT-windowsize %{buildroot}%{_bindir}/
install -m 755 -d %{buildroot}%{_mandir}/man1/
install -m 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

%files
%doc CHANGELOG README gpl/COPYING
%{_bindir}/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Apr 11 2018 barjac <barjac> 2.3.0-1.1.mga6
  (not released yet)
+ Revision: 1217605
- Suppress zlib version warning
- Mga#22883 (pngcheck warns of zlib version)
- sync patches and spec cleaning with cauldron

* Mon Jul 04 2016 barjac <barjac> 2.3.0-1.mga6
+ Revision: 1038614
- Import pngcheck with thanks to OpenSuSE

